%define oname	bumblebee-indicator

Name:		plasma-applet-bumblebee-indicator
Version:	0.70
Release:	%mkrel 4
Summary:	Plasma 5 applet for indicating the Nvidia card's on or off status
Group:		Graphical desktop/KDE
License:	GPLv3+
Url:		https://store.kde.org/p/998890
Source0:	https://github.com/bxabi/bumblebee-indicator/archive/%{version}/%{oname}-%{version}.tar.gz
Patch1:		%{name}-0.61-mga-add-nvidia390-support.patch
BuildArch:	noarch
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Plasma)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	gettext-devel

Requires:	plasma-workspace
Requires:	qtquickcontrols25
Requires:	qtquickcontrols5
# as it is in nonfree repo
Recommends:	bumblebee-bin

%description
Plasma 5 applet for indicating the Nvidia card's on or off status,
temperature, and other details.

%prep
%setup -qn %{oname}-%{version}
%autopatch -p1

sed -i 's|bumblebee-kde5-plasmoid|com.bxabi.bumblebee-indicator|' CMakeLists.txt

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

chmod +x %{buildroot}%{_kf5_datadir}/plasma/plasmoids/com.bxabi.bumblebee-indicator/contents/ui/locate-nvidia-smi.sh

%files
%doc README.md
%license LICENSE
%{_kf5_services}/plasma-applet-com.bxabi.bumblebee-indicator.desktop
%{_kf5_datadir}/plasma/plasmoids/com.bxabi.bumblebee-indicator/
%{_kf5_metainfodir}/com.bxabi.bumblebee-indicator.appdata.xml


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 0.70-4.mga8
+ Revision: 1659386
- Rebuild for new Qt5

* Thu May 28 2020 daviddavid <daviddavid> 0.70-3.mga8
+ Revision: 1588537
- switch appdata file to kf5_metainfo dir

* Sat Feb 15 2020 umeabot <umeabot> 0.70-2.mga8
+ Revision: 1524004
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Mar 23 2019 daviddavid <daviddavid> 0.70-1.mga7
+ Revision: 1379670
- new version: 0.70

* Mon Mar 11 2019 daviddavid <daviddavid> 0.61-2.mga7
+ Revision: 1373967
- fix nvidia390-msi lib and lib64 path

* Mon Mar 11 2019 daviddavid <daviddavid> 0.61-1.mga7
+ Revision: 1373924
- new version: 0.61
- add nvidia390 support

* Wed Sep 19 2018 umeabot <umeabot> 0.35-3.mga7
+ Revision: 1274191
- Mageia 7 Mass Rebuild

* Sun Jan 29 2017 daviddavid <daviddavid> 0.35-2.mga6
+ Revision: 1083942
- requires plasma-workspace

* Sun Jan 29 2017 daviddavid <daviddavid> 0.35-1.mga6
+ Revision: 1083930
- initial package plasma-applet-bumblebee-indicator

